Bug 194780 - graphics/ImageMagick depends on liblqr explicitly
Summary: graphics/ImageMagick depends on liblqr explicitly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-03 12:29 UTC by Robert Schulze
Modified: 2014-11-11 08:07 UTC (History)
0 users

See Also:
rs: maintainer-feedback? (kwm)


Attachments
ImageMagick-noliblqr.patch (435 bytes, patch)
2014-11-03 12:29 UTC, Robert Schulze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Schulze 2014-11-03 12:29:23 UTC
Created attachment 148987 [details]
ImageMagick-noliblqr.patch

The attached patch disables the explicit dependency on liblqr.
LQR is an option and liblqr should only be build/linked when this option is enabled, IMHO.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-03 12:29:23 UTC
Auto-assigned to maintainer kwm@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2014-11-11 08:04:05 UTC
A commit references this bug:

Author: kwm
Date: Tue Nov 11 08:03:28 UTC 2014
New revision: 372435
URL: https://svnweb.freebsd.org/changeset/ports/372435

Log:
  Update to 6.8.9-10.

  Remove implicit liblqr-1 depend [1]

  PR:		194780 [1]
  Submitted by:	 Robert Schulze <rs@bytecamp.net> [1]

Changes:
  head/graphics/ImageMagick/Makefile
  head/graphics/ImageMagick/distinfo